Skip to main content
GET
Returns one unified customer profile with contact methods, channel identities, properties, and conversation stats.

Authentication

X-API-Key
string
required
Project API key for this organization and project. Format: bot_live_…

Path parameters

organization_id
string
required
Organization ID. Must match the API key.
project_id
string
required
Project ID. Must match the API key.
customer_profile_id
string
required
Customer profile ID.

Response

_id
string
required
Customer profile ID.
name
string
Display name.
display_id
string
Human-readable customer id.
phone_numbers
array
required
Phone contact methods.
emails
array
required
Email contact methods.
channel_identities
array
required
Channel identities (channel_type, identity_key, first/last seen).
properties
object
required
Custom property bag.
conversation_count
integer
required
Total conversations.
call_count
integer
required
Voice call count.
chat_count
integer
required
Chat conversation count.

Errors

401
Unauthorized
Missing, invalid, or revoked API key.
403
Forbidden
API key is not authorized for this organization or project.
404
Not Found
Customer profile not found in this project.